View Issue Details

IDProjectCategoryView StatusLast Update
0004286SymmetricDSBugpublic2020-03-17 14:42
ReporterpyotrkAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.18 
Target Version3.10.11Fixed in Version3.10.11 
Summary0004286: batchError monitor threshold logic
DescriptionIn the MonitorTypeBatchError.check(monitor) method we add count of error batches to the result object basing on the error batch create time:
-------------------------------------------------------------------------------------------------------------------------
int batchErrorMinutes = (int) (System.currentTimeMillis() - batch.getCreateTime().getTime()) / 60000;
            if (batchErrorMinutes >= monitor.getThreshold()) {
.....
 outgoingErrorCount++;
.....
}
event.setValue(outgoingErrorCount + incomingErrorCount);
-------------------------------------------------------------------------------------------------------------------------


but after that in MonitorService.updateMonitor(........) we add to the sym_monitor_event the which value is more than monitor. The value here is the count of error batches.
-------------------------------------------------------------------------------------------------------------------------
} else if (eventValue.getValue() >= monitor.getThreshold()) {
.....
......
.....
}
-------------------------------------------------------------------------------------------------------------------------

Is it expected behavior that first we compare time in minutes with threshold and after that, we compare count of events with threshold?
Steps To ReproduceNo need, see code. MonitorService and MonitorTypeBatchError classes
TagsNo tags attached.

Relationships

related to 0004309 closedelong batchError incorrectly checks create time 

Activities

elong

2020-03-11 13:36

developer   ~0001690

The comparison to the batch create time doesn't make any sense. That explains why I've seen a small delay on notifications though. I'll remove the create time check.

Related Changesets

SymmetricDS: 3.10 7fd26dde

2020-03-11 13:37:37

admin

Details Diff
0004286: batchError incorrectly checks create time
0004286
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeBatchError.java Diff File

Issue History

Date Modified Username Field Change
2020-02-24 09:03 pyotrk New Issue
2020-03-11 13:36 elong Assigned To => elong
2020-03-11 13:36 elong Status new => assigned
2020-03-11 13:36 elong Target Version => 3.10.11
2020-03-11 13:36 elong Note Added: 0001690
2020-03-11 13:37 elong Status assigned => resolved
2020-03-11 13:37 elong Resolution open => fixed
2020-03-11 13:37 elong Fixed in Version => 3.10.11
2020-03-11 13:41 elong Issue cloned: 0004309
2020-03-11 13:41 elong Relationship added related to 0004309
2020-03-11 14:00 admin Changeset attached => SymmetricDS 3.10 7fd26dde
2020-03-17 14:42 admin Status resolved => closed